Package: groovy.jmx.builder

## [Java] Class JmxEventEmitter

- groovy.jmx.builder.JmxEventEmitter

- All Implemented Interfaces and Traits:
    JmxEventEmitterMBean

      public class JmxEventEmitter
      extends NotificationBroadcasterSupport

  The JmxEventEmitter is a JMX Broadcaster class that is used to send generic events on the MBeanServer's event bus. It is used by the Emitter node () to send event to registered listeners.

       def jmx = JmxBuilder()
       jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
       ...
       jmx.emitter.send(object)

  Authors:
    Vladimir Vivien
  See Also:
    JmxEmitterFactory

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `event`
    `String` | `message`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getEvent()` Event type getter
    `` | `String` | `getMessage()` Event message getter
    `` | `long` | `send(Object data)` Called to broadcast message on MBeanServer event bus.
    `` | `void` | `setEvent(String event)` Event type setter
    `` | `void` | `setMessage(String message)` Event message setter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NotificationBroadcasterSupport` | `getNotificationInfo, sendNotification, addNotificationListener, removeNotificationListener, removeNotificationListener, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String event

    - #### String message

  - ### Method Detail

    - #### public String getEvent()

      Event type getter

      Returns:
        - returns event type string thrown by this emitter

    - #### public String getMessage()

      Event message getter

      Returns:
        - message that is associated with event.

    - #### public long send(Object data)

      Called to broadcast message on MBeanServer event bus. Internally, it calls NotificationBroadCasterSupport.sendNotification() method to dispatch the event.

      Parameters:
        `data` - - a data object sent as part of the event parameter.
      Returns:
        a sequence number associated with the emitted event.

    - #### public void setEvent(String event)

      Event type setter

      Parameters:
        `event` - - event type set for this emitter.

    - #### public void setMessage(String message)

      Event message setter.

      Parameters:
        `message` - - message that is associated with event emitted.